VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IListControlConfigurator Class Referenceabstract
New classes » Version 4.9

The list control configurator interface. More...

`#include <clistcontrol.h>`

Inheritance diagram for IListControlConfigurator:

## Public Member Functions
virtual | ~IListControlConfigurator () noexcept
virtual CListControlRowDesc | getRowDesc (int32_t row) const =0
Public Member Functions inherited from IReference
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0
virtual void | remember ()=0
| increase refcount

## Detailed Description

The list control configurator interface.

## Constructor & Destructor Documentation

## ◆ ~IListControlConfigurator()

virtual ~IListControlConfigurator | ( |  | ) |
| inline virtual noexcept

## Member Function Documentation

## ◆ getRowDesc()

virtual CListControlRowDesc getRowDesc | ( | int32_t | row | ) | const
| pure virtual

Implemented in StaticListControlConfigurator.

The documentation for this class was generated from the following file:

- clistcontrol.h